#ifndef __LCD3310_H__
#define __LCD3310_H__








//parameters defs

#define LCD_X_SIZE          84
#define LCD_Y_SIZE          48
#define LCD_Y_SIZE_LINES    6
#define LCD_BYTE_COUNT      (LCD_Y_SIZE_LINES * LCD_X_SIZE)

#define FONT_BOLD			1
#define FONT_NORMAL			0
#define BLACK               1
#define WHITE               0

typedef uint8_t lcdTPixel;


void lcdSetFont(uint8_t paramFont);
uint8_t lcdGetFont(void);
void lcdBackgroundOn(void);
void lcdBackgroundOff(void);
uint8_t lcdClear(void);
uint16_t lcdReactangle(lcdTPixel starting_x, lcdTPixel ending_x, lcdTPixel starting_y, lcdTPixel ending_y, uint8_t black);
uint8_t lcdHorizontalLine(lcdTPixel starting_x, lcdTPixel ending_x, lcdTPixel y);
uint8_t lcdVerticalLine(lcdTPixel starting_x, lcdTPixel starting_y, lcdTPixel ending_y);
uint8_t lcdInvertArea(lcdTPixel starting_x, lcdTPixel ending_x, lcdTPixel starting_y, lcdTPixel ending_y);
lcdTPixel lcdByte(uint8_t vtp, lcdTPixel x, lcdTPixel y);
lcdTPixel lcdHex8_t(uint8_t val,lcdTPixel x, lcdTPixel y);
lcdTPixel lcdHex16_t(uint16_t val, lcdTPixel x, lcdTPixel y);
lcdTPixel lcdWord(uint16_t vtp, lcdTPixel x, lcdTPixel y);
lcdTPixel lcdInt(int16_t vtp, lcdTPixel x, lcdTPixel y);
lcdTPixel lcd(const char *text, lcdTPixel x, lcdTPixel y);
lcdTPixel lcdChar(uint8_t chr, lcdTPixel x, lcdTPixel y);
uint8_t lcdPixelSet(lcdTPixel x, lcdTPixel y);
uint8_t lcdPixelClear(lcdTPixel x, lcdTPixel y);
uint8_t lcdPixelToggle(lcdTPixel x, lcdTPixel y);
uint8_t lcdWrite(uint8_t lcddat, lcdTPixel x, lcdTPixel y);
void lcdRefresh(void);
void lcdContrast(uint8_t contrast);
void lcdInit(void);




#endif


