#ifndef __ASCII_BUF_H__
#define __ASCII_BUF_H__

typedef uint8_t Tbuf;


uint8_t bufGetHex8_t(Tbuf* buf);
void bufPutHex8_t(Tbuf* buf, uint8_t val);
uint16_t bufGetHex16_t(Tbuf* buf);
void bufPutHex16_t(Tbuf* buf, uint16_t val);
void bufPutHex32_t(Tbuf* buf, uint32_t val);
void bufPutDec8_t(Tbuf* buf, uint8_t val, uint8_t digits);
void bufPutDec16_t(Tbuf* buf, uint16_t val, uint8_t digits);
void bufPutDec32_t(Tbuf* buf, uint32_t val, uint8_t digits);
uint8_t bufPutDecVar(Tbuf* buf, uint16_t val);
uint8_t bufPutDataSize(Tbuf* buf, uint32_t size);
uint16_t bufGetDec16_t(Tbuf* buf, uint8_t digits);
uint32_t bufGetDec32_t(Tbuf* buf, uint8_t digits);
uint16_t bufGetNumberLengthHex(Tbuf* buf);
uint16_t bufGetNumberLengthDec(Tbuf* buf);
uint16_t bufFindDigitDec(Tbuf* buf);
uint16_t bufFindDigitHex(Tbuf* buf);
uint32_t bufGetDec(Tbuf* buf);
uint16_t bufGetHex(Tbuf* buf);
uint16_t bufFindChar(Tbuf *buf, uint8_t value);
uint16_t bufFindValue(Tbuf *buf, uint8_t value, uint16_t limit);
uint16_t bufFindSequence(Tbuf *buf, uint16_t bufLen, Tbuf *reference, uint8_t seqLen);
void bufStrcpy(Tbuf *bufNew, Tbuf *bufOld);
void bufCopy(Tbuf *bufNew, Tbuf *bufOld, uint16_t len);
uint16_t bufStrlen(Tbuf *buf);
uint16_t bufStrcat(Tbuf *dest, Tbuf *src);
uint8_t bufCompareString(Tbuf *buf1, Tbuf *buf2, uint8_t len);
void bufRotate8Bits(uint8_t *buf);
uint8_t bufChangeValue(uint16_t *value, int16_t delta, uint16_t rollover);



#endif

