#ifndef __FS_TOOLS__
#define __FS_TOOLS__

#include "common.h"
#include "ff.h"

#define F_LSEEK_EOF				0xFFFFFFFF
#define FS_FILE_PRESENT			0
#define FS_NO_FILE				FR_NO_FILE

#define RES_TEXT_BUFFER_SIZE	0x40
#define FILE_BUFFER_SIZE		0x100



//high-level, provide only filename
FRESULT fsRemove(char* path);
FRESULT fsMkDir(char* dirPath);
void fsListFiles(char *dirPath);
FRESULT fsGetFileSize(char* fileName, uint32_t *size);
FRESULT fsRewrite(char* fileName, void* buf, uint16_t len);
uint16_t fsRead(char* fileName, void* buf, uint32_t pos, uint16_t len);
inline FRESULT fsAppend(char* fileName, void* buf, uint16_t len);
inline FRESULT fsWriteLine(char* fileName, char* buf);
FRESULT fsRemoveBytes(char* fileName, uint32_t bytes);
FRESULT fsReplace(char* fileName, void* buf, uint32_t pos, uint16_t len);
uint8_t fsFilePresent(char* fileName);



//debug
void fsDispFRESULT(FRESULT res, char* buf);
void fsDispFileInfo(FILINFO *finfo, char* buf);

//init
FRESULT fsInit(void);


#endif

