#include "common.h"

#include "msc_bot.h"
#include "msc_usb.h"
#include "msc_scsi.h"

static T_Cbw Cbw;
static T_Cbw* pCBW = &Cbw;
static T_Csw Csw;
static T_Csw* pCSW = &Csw;



uint8_t mscProcessPacketTransfer(void)
{
	//get CBW
	USB_DataOut((void *)(pCBW));
	
	uint32_t processedDataLength=0;
	uint8_t processingResult;
	
	//process and execute SCSI Command Block
	processingResult = scsiProcess(pCBW, &processedDataLength);

	//prepare CSW
	pCSW->dCSWSignature = 0x53425355; //magic value indicating CSW
	pCSW->dCSWTag = pCBW->dCBWTag;	//send Tag identical as rxed in CBW
	pCSW->dCSWDataResidue = pCBW->dCBWDataTransferLength - processedDataLength;
	pCSW->bCSWStatus = processingResult;
	
	//send CSW
	USB_DataIn((void *)pCSW,13);

	return(1);
}




