#include "Board.h"


void init(void)
{
	// enable peripheral clock for PIO controller
	AT91C_BASE_PMC->PMC_PCER = (1<<AT91C_ID_PIOB);
	// enable reset-key on board 
	AT91C_BASE_RSTC->RSTC_RMR = (0xA5000000 | AT91C_RSTC_URSTEN);
	
	//initialize LEDs
	LED_R_INIT;
	LED_Y_INIT;
	LED_G_INIT;
	LED_B_INIT;
}




int main( void )
{
	init();
	for(;;)
	{
		LED_R_ON;
		delay_ms(100);
		LED_R_OFF;
		LED_Y_ON;
		delay_ms(100);
		LED_Y_OFF;
		LED_G_ON;
		delay_ms(100);
		LED_G_OFF;
		LED_B_ON;
		delay_ms(100);
		LED_B_OFF;
	}
	return(0);
}


