#include "Board.h"


void init(void)
{
	// enable peripheral clock for PIO controllers
	AT91C_BASE_PMC->PMC_PCER = (1<<AT91C_ID_PIOA);
	AT91C_BASE_PMC->PMC_PCER = (1<<AT91C_ID_PIOB);
	// enable reset-key on board 
	AT91C_BASE_RSTC->RSTC_RMR = (0xA5000000 | AT91C_RSTC_URSTEN);
	
	//initialize LEDs
	LED_R_INIT;
	LED_Y_INIT;
	LED_G_INIT;
	LED_B_INIT;
	
	LED_R_ON;
	LED_Y_ON;
	LED_G_ON;
	LED_B_ON;
	
}




int main( void )
{
	init();
	for(;;)
	{
		if(SW1_PRESSED)
		{
			LED_R_TOGGLE;
			delay_ms(100);
		}
		if(SW2_PRESSED)
		{
			LED_Y_TOGGLE;
			delay_ms(100);
		}
		if(SW3_PRESSED)
		{
			LED_G_TOGGLE;
			delay_ms(100);
		}
		if(SW4_PRESSED)
		{
			LED_B_TOGGLE;
			delay_ms(100);
		}
	}
	return(0);
}


