#include "Board.h"
#include "lcd_2x16.h"


void init(void)
{
	// enable peripheral clock for PIO controllers
	AT91C_BASE_PMC->PMC_PCER = (1<<AT91C_ID_PIOA);
	AT91C_BASE_PMC->PMC_PCER = (1<<AT91C_ID_PIOB);
	// enable reset-key on board 
	AT91C_BASE_RSTC->RSTC_RMR = (0xA5000000 | AT91C_RSTC_URSTEN);
	
	//initialize LEDs
	LED_R_INIT;
	LED_Y_INIT;
	LED_G_INIT;
	LED_B_INIT;
	
	LED_R_ON;
	LED_Y_ON;
	LED_G_ON;
	LED_B_ON;
	
	//initialize LCD
	lcdInit();
}




int main( void )
{
	init();
	
	lcdCls();
	lcdLocate(0,0);
	lcdText("SAM7XC Eval");
	lcdLocate(1,0);
	lcdText("LCD PIO Example");
	
	uint32_t count=0;
	
	
	for(;;)
	{
		count++;
		if(SW1_PRESSED)
		{
			LED_R_TOGGLE;
			lcdLocate(1,0);
			lcdText("SAM7 Rules      ");
			delay_ms(500);
			lcdLocate(1,0);
			lcdText("          ");
		}
		if(SW2_PRESSED)
		{
			LED_Y_TOGGLE;
			lcdLocate(1,0);
			lcdText("count=0x");
			lcdValue(count);
			delay_ms(500);
			lcdLocate(1,0);
			lcdText("                ");
		}
		if(SW3_PRESSED)
		{
			LED_G_TOGGLE;
			lcdLocate(1,0);
			lcdText("Lowest=");
			lcdByte((uint8_t)count);
			delay_ms(500);
			lcdLocate(1,0);
			lcdText("                ");
		}
		if(SW4_PRESSED)
		{
			LED_B_TOGGLE;
			lcdLocate(1,0);
			lcdText("Lowest=0x");
			lcdHex((uint8_t)count);
			delay_ms(500);
			lcdLocate(1,0);
			lcdText("                ");
		}
	}
	return(0);
}


