#include "common.h"
#include "usart_irq.h"
#include "lcd_2x16.h"

void init(void)
{
	// enable peripheral clock for PIO controllers
	AT91C_BASE_PMC->PMC_PCER = (1<<AT91C_ID_PIOA);
	AT91C_BASE_PMC->PMC_PCER = (1<<AT91C_ID_PIOB);
	// enable reset-key on board 
	AT91C_BASE_RSTC->RSTC_RMR = (0xA5000000 | AT91C_RSTC_URSTEN);
	
	debug_init_default();
	debug_msg("debug channel initialized");
	
	//initialize LEDs
	LED_R_INIT;
	LED_Y_INIT;
	LED_G_INIT;
	LED_B_INIT;

	
	lcdInit();
	
	usartIrqInit();
}




int main( void )
{
	init();
	for(;;)
	{
		if(SW1_PRESSED)
		{
			debug_msg("SW1 pressed!");
			lcdLocate(0,0);
			lcdText("SW1 pressed!    ");
			delay_ms(200);
			const char * TEXT_TO_SEND = "This text was sent on USART0 IRQ";
			usartIrqSend((char*)TEXT_TO_SEND,strlen(TEXT_TO_SEND));
			delay_ms(200);
		}
	}
	return(0);
}
