#ifndef __SPI_H__
#define __SPI_H__

//=================================================================================================
//user-configurable area
//=================================================================================================

    #define SPI                 AT91C_BASE_SPI0
    #define SPI_ID              AT91C_ID_SPI0
    #define SPI_PIO             AT91C_BASE_PIOA
    #define SPI_PIO_PERIPH      0 //zero for Peripheral A, 1 for Peripheral B
    #define MOSI_MASK           (1<<17)
    #define MISO_MASK           (1<<16)
    #define SCK_MASK            (1<<18)
	#define NPCS_PIO			AT91C_BASE_PIOA
	#define NPCS0_MASK			(1<<12)
	#define NPCS1_MASK			(1<<13)
	#define NPCS2_MASK			(1<<14)
	#define NPCS3_MASK			(1<<15)
	#define NPCS0_PERIPH		0	//0 for A, 1 for B
	#define NPCS1_PERIPH		0
	#define NPCS2_PERIPH		0
	#define NPCS3_PERIPH		0
	#define NPCS0_CODE			0
	#define NPCS1_CODE			1
	#define NPCS2_CODE			3
	#define NPCS3_CODE			7
    

//=================================================================================================


#define SPI_PINS_MASK           (MOSI_MASK|MISO_MASK|SCK_MASK)

#define NPCS0					0
#define NPCS1					1
#define NPCS2					2
#define NPCS3					3

#define SPI_SPEED_LOW			0xFF
#define SPI_SPEED_MEDIUM		0xA0
#define SPI_SPEED_HIGH			0x08
#define SPI_SPEED_HIGHEST		0x06

#define SPI_DELAY_LONG			0xFF
#define SPI_DELAY_MEDIUM		0xA0
#define SPI_DELAY_SHORT			0x08

//NCPHA/NCPOL settings
#define SPI_MODE_0				2
#define SPI_MODE_1				0
#define SPI_MODE_2				3
#define SPI_MODE_3				1

#define USE_CSAAT				1
#define DO_NOT_USE_CSAAT		0





void spiInit(void);
uint8_t spiTransfer(uint8_t dat, uint8_t npcs);
inline uint8_t spiConfigureNpcs	(
									uint8_t npcs,
									uint8_t cpol_cpha,
									uint8_t speed,
									uint8_t delay,
									uint8_t use_csaat
									);



#endif



